BITCOIND(1)

NAME
bitcoind - peer-to-peer network based digital currency

SYNOPSIS
bitcoin [options] <command> [params]

bitcoin [options] help <command> - Get help for a command

DESCRIPTION
This manual page documents the bitcoind program. Bitcoin is a peer-to-peer digital currency. Peer-to-peer (P2P) means that there is no central authority to issue new money or keep track of transactions. Instead, these tasks are managed collectively by the nodes of the network. Advantages: Bitcoins can be sent easily through the Internet, without having to trust middlemen. Transactions are designed to be irreversible. Be safe from instability caused by fractional reserve banking and central banks. The limited inflation of the Bitcoin system’s money supply is distributed evenly (by CPU power) throughout the network, not monopolized by banks.

OPTIONS

-conf=<file>
    Specify configuration file (default: bitcoin.conf)

-gen
    Generate coins

-gen=0
    Don't generate coins

-min
    Start minimized

-datadir=<dir>
    Specify data directory

-proxy=<ip:port>
    Connect through SOCKS5 proxy

-addnode=<ip>
    Add a node to connect to

-connect=<ip>
    Connect only to the specified node

-paytxfee=<amt>
    Fee per KB to add to transactions you send

-server
    Accept command line and JSON-RPC commands

-daemon
    Run in the background as a daemon and accept commands

-testnet
    Use the test network

-rpcuser=<user>
    Username for JSON-RPC connections

-rpcpassword=<pw>
    Password for JSON-RPC connections

-rpcport=<port>
    Listen for JSON-RPC connections on <port>

-rpcallowip=<ip>
    Allow JSON-RPC connections from specified IP address

-rpcconnect=<ip>
    Send commands to node running on <ip>

-?  This help message

COMMANDS

backupwallet 'destination'
    Safely copies *wallet.dat* to 'destination', which can be a directory or a path with filename.

getaccount 'bitcoinaddress'
    DEPRECATED. Returns the account associated with the given address.

setaccount 'bitcoinaddress' ['account']
    DEPRECATED. Sets the ['account'] associated with the given address. ['account'] may be omitted to remove an address from ['account'].

getaccountaddress 'account'
    DEPRECATED. Returns a new bitcoin address for 'account'.

getaddressesbyaccount 'account'
    DEPRECATED. Returns the list of addresses associated with the given 'account'.

getbalance 'account'
    Returns the server's available balance, or the balance for 'account' (accounts are deprecated).

getblockcount
    Returns the number of blocks in the longest block chain.

getblocknumber
    Returns the block number of the latest block in the longest block chain.

getconnectioncount
    Returns the number of connections to other nodes.

getdifficulty
    Returns the proof-of-work difficulty as a multiple of the minimum difficulty.

getgenerate
    Returns boolean true if server is trying to generate bitcoins, false otherwise.

setgenerate 'generate' ['genproclimit']
    Generation is limited to ['genproclimit'] processors, -1 is unlimited.

gethashespersec
    Returns a recent hashes per second performance measurement while generating.

getinfo
    Returns an object containing server information.

getnewaddress 'account'
    Returns a new bitcoin address for receiving payments. If 'account' is specified (deprecated), it is added to the address book so payments received with the address will be credited to 'account'.

getreceivedbyaccount 'account' ['minconf=1']
    DEPRECATED. Returns the total amount received by addresses associated with 'account' in transactions with at least ['minconf'] confirmations.

getreceivedbyaddress 'bitcoinaddress' ['minconf=1']
    Returns the total amount received by 'bitcoinaddress' in transactions with at least ['minconf'] confirmations.

gettransaction 'txid'
    Returns information about a specific transaction, given hexadecimal transaction ID.

getwork 'data'
    If 'data' is specified, tries to solve the block and returns true if it was successful. If 'data' is not specified, returns formatted hash 'data' to work on:
        "midstate" : precomputed hash state after hashing the first half of the data.
        "data" : block data.
        "hash1" : formatted hash buffer for second hash.
        "target" : little endian hash target.

help 'command'
    List commands, or get help for a command.

listaccounts ['minconf=1']
    DEPRECATED. List accounts and their current balances.
         *note: requires bitcoin 0.3.20 or later.

listreceivedbyaccount ['minconf=1'] ['includeempty=false']
    ['minconf'] is the minimum number of confirmations before payments are included. ['includeempty'] whether to include addresses that haven't received any payments. Returns an array of objects containing:
        "account" : DEPRECATED. the account of the receiving address.
        "amount" : total amount received by the address.
        "confirmations" : number of confirmations of the most recent transaction included.

listreceivedbyaddress ['minconf=1'] ['includeempty=false']
    ['minconf'] is the minimum number of confirmations before payments are included. ['includeempty'] whether to include addresses that haven't received any payments. Returns an array of objects containing:
        "address" : receiving address.
        "account" : DEPRECATED. the account of the receiving address.
        "amount" : total amount received by the address.
        "confirmations" : number of confirmations of the most recent transaction included.

listtransactions 'account' ['count=10']
    Returns a list of the last ['count'] transactions for 'account' - for all accounts if 'account' is not specified or is "*". Each entry in the list may contain:
        "category" : will be generate, send, receive, or move.
        "amount" : amount of transaction.
        "fee" : Fee (if any) paid (only for send transactions).
        "confirmations" : number of confirmations (only for generate/send/receive).
        "txid" : transaction ID (only for generate/send/receive).
        "otheraccount" : account funds were moved to or from (only for move).
        "message" : message associated with transaction (only for send).
        "to" : message-to associated with transaction (only for send).
        *note: requires bitcoin 0.3.20 or later.

move <'fromaccount'> <'toaccount'> <'amount'> ['minconf=1'] ['comment']
    DEPRECATED. Moves funds between accounts.

sendfrom* <'account'> <'bitcoinaddress'> <'amount'> ['minconf=1'] ['comment'] ['comment-to']
    DEPRECATED. Sends amount from account's balance to 'bitcoinaddress'. This method will fail if there is less than amount bitcoins with ['minconf'] confirmations in the account's balance (unless account is the empty-string-named default account; it behaves like the *sendtoaddress* method). Returns transaction ID on success.

sendtoaddress 'bitcoinaddress' 'amount' ['comment'] ['comment-to']
    Sends amount from the server's available balance to 'bitcoinaddress'. amount is a real and is rounded to the nearest 0.01. Returns transaction id on success.

stop
    Stops the bitcoin server.

validateaddress 'bitcoinaddress'
    Checks that 'bitcoinaddress' looks like a proper bitcoin address. Returns an object containing:
        "isvalid" : true or false.
        "ismine" : true if the address is in the server's wallet.
        "address" : bitcoinaddress.
        *note: ismine and address are only returned if the address is valid.

SEE ALSO
bitcoin.conf(5)

AUTHOR
This manual page was written by Micah Anderson <micah@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.